Cue Docs
Messages API

Send Message

Guide: Messages API
POST
/v1/messages

Authorization

bearerAuth
headerAuthorizationBearer <token>

An API token from Settings > API Tokens in your Cue workspace. See Authentication.

Header Parameters

Authorization*Authorization

An API token from Settings > API Tokens, as Bearer <token>.

Request Body

application/json
  1. body
message*

Response Body

Successful Response

application/json
  1. response
messageUuid?string|null
encoding?string|null
segments?integer|null
Example Request
curl -X POST 'https://api.cuedesk.com/v1/messages' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "message": {
    "from": "string"
  }
}'
Example Response
{
  "messageUuid": "string",
  "encoding": "string",
  "segments": 0
}